Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233845 (perl-XML-XPathEngine) - Review Request: perl-XML-XPathEngine - Re-usable XPath engine for DOM-like trees
Summary: Review Request: perl-XML-XPathEngine - Re-usable XPath engine for DOM-like trees
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-XML-XPathEngine
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: perl-XML-DOM-XPath
TreeView+ depends on / blocked
 
Reported: 2007-03-25 12:11 UTC by Alex Lancaster
Modified: 2009-09-22 09:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 02:06:39 UTC
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Alex Lancaster 2007-03-25 12:11:08 UTC
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Convert-Binary-C.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-XML-XPathEngine-0.08-1.src.rpm
Description: 
This module provides an XPath engine, that can be re-used by other
module/classes that implement trees.

Comment 2 Parag AN(पराग) 2007-03-29 07:15:17 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
225f53d420d4fca50cd9d18b877780d6  XML-XPathEngine-0.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00-load.........# Testing XML::XPathEngine 0.08, Perl 5.008007, /usr/bin/perl
ok
t/01_basic........ok
t/pod-coverage....ok
t/pod.............ok
All tests successful.
Files=4, Tests=27,  1 wallclock secs ( 0.47 cusr +  0.05 csys =  0.52 CPU)
+ Provides: perl(XML::XPathEngine) = 0.08 perl(XML::XPathEngine::Boolean)
perl(XML::XPathEngine::Expr) perl(XML::XPathEngine::Function)
perl(XML::XPathEngine::Literal) perl(XML::XPathEngine::LocationPath)
perl(XML::XPathEngine::NodeSet) perl(XML::XPathEngine::Number)
perl(XML::XPathEngine::Root) perl(XML::XPathEngine::Step)
perl(XML::XPathEngine::Variable)

APPROVED.


Comment 3 Alex Lancaster 2007-03-29 07:26:41 UTC
New Package CVS Request
=======================
Package Name: perl-XML-XPathEngine
Short Description: Re-usable XPath engine for DOM-like trees
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 



Comment 4 Alex Lancaster 2007-03-30 02:06:39 UTC
Builds fine all branches.  Closing.

Comment 5 Matthew Booth 2009-09-08 10:16:16 UTC
Package Change Request
======================
Package Name: perl-XML-XPathEngine
New Branches: EL-5
Owners: 

I would like to add perl-XML-XPathEngine to EL-5 ultimately so that I can add virt-v2v. virt-v2v requires perl-XML-DOM-XPath, which requires perl-XML-XPathEngine.

Comment 6 Jason Tibbitts 2009-09-11 20:29:43 UTC
The CVS request is missing an owner.  The current owner of the package allows EPEL branches but requests that he be made a comaintainer: https://fedoraproject.org/wiki/EPEL/ContributorStatusNo

Please submit a corrected CVS request.

Comment 7 Matthew Booth 2009-09-15 09:32:11 UTC
Package Change Request
======================
Package Name: perl-XML-XPathEngine
New Branches: EL-5
Owners: mdbooth alexlan

Having been pointed to the procedure, I see alexlan isn't interested in EPEL
but would like to be co-maintainer.

Comment 8 Jason Tibbitts 2009-09-16 21:20:23 UTC
CVS done.

Comment 9 Matthew Booth 2009-09-21 23:28:06 UTC
Can you double check the above for me? I get:

[mbooth@x60 EL-5]$ cvs commit
cvs commit: Examining .
? perl-XML-XPathEngine-0.12-1.el5.src.rpm
? noarch
? XML-XPathEngine-0.12.tar.gz
? XML-XPathEngine-0.12
? .build-0.12-1.el5.log
**** Access denied: mdbooth is not in ACL for rpms/perl-XML-XPathEngine/EL-5

Comment 10 Jason Tibbitts 2009-09-21 23:34:11 UTC
Please try now.  Turns out that pkgdb doesn't like seeing more than one owner.

Comment 11 Richard W.M. Jones 2009-09-22 09:04:17 UTC
Sometimes also you have to wait for up to 1 hour(?) for the
change in ACLs to propagate.


Note You need to log in before you can comment on or make changes to this bug.